package com.yihu.jw.entity.iot.device;


import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author zdm on 2019/6/11.
 */
@Entity
@Table(name = "iot_device_baiyi")
public class IotDeviceBaiyiDO extends UuidIdentityEntityWithOperator implements Serializable {

    /** 15位设备唯一序号*/
    @Column(name = "imei")
    private String imei;
    /** 发生时间*/
    @Column(name = "time_begin")
    private String timeBegin;
    /**心率/舒张压*/
    @Column(name = "value1")
    private Integer value1;
    /** 心率阈值上限/舒张压报警下限*/
    @Column(name = "value2")
    private Integer value2;
    /** 心率阈值下限/收缩压*/
    @Column(name = "value3")
    private Integer value3;
    /** 测量数据种类名称/收缩压报警上限*/
    @Column(name = "value4")
    private Integer value4;
    /** 类型：1血压、5心率*/
    @Column(name = "type")
    private Integer type;

    public String getImei() {
        return imei;
    }

    public void setImei(String imei) {
        this.imei = imei;
    }

    public String getTimeBegin() {
        return timeBegin;
    }

    public void setTimeBegin(String timeBegin) {
        this.timeBegin = timeBegin;
    }

    public Integer getValue1() {
        return value1;
    }

    public void setValue1(Integer value1) {
        this.value1 = value1;
    }

    public Integer getValue2() {
        return value2;
    }

    public void setValue2(Integer value2) {
        this.value2 = value2;
    }

    public Integer getValue3() {
        return value3;
    }

    public void setValue3(Integer value3) {
        this.value3 = value3;
    }

    public Integer getValue4() {
        return value4;
    }

    public void setValue4(Integer value4) {
        this.value4 = value4;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
}
